
Foreman - Refactor #32894

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Add strong typing to Setting DSL

06/28/2021 12:26 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8625

  

Description

Out of discussion https://community.theforeman.org/t/do-you-have-setting-improvements-ideas/23547 there was clear consensus on

adding types to the Settings.

Related issues:

Has duplicate Foreman - Refactor #32583: Mandatory setting type Duplicate

Associated revisions

Revision 393d07de - 07/01/2021 12:25 PM - Ondřej Ezr

Fixes #32894 - add types to Setting DSL

Add required typing for Setting DSL, so we have the types enforced from

the beggining.

History

#1 - 06/28/2021 12:28 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8625 added

#2 - 07/01/2021 12:26 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 07/01/2021 01:08 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|393d07de78dbb27edf4fe13e30124945999889e9.

#4 - 07/07/2021 02:35 PM - Ondřej Ezr

- Has duplicate Refactor #32583: Mandatory setting type added

#5 - 07/07/2021 02:36 PM - Ondřej Ezr

- Parent task set to #29939
